"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ControllerManagerFactory = void 0;
const Controllers_1 = require("../models/Controllers");
class ControllerManagerFactory {
    constructor() {
        this.newControllerManager = () => {
            if (!this.controllers)
                throw new Error('Controllers must be provided');
            return new Controllers_1.Controller(this.controllers);
        };
        this.controllers = [];
    }
    setControllers(controllers) {
        if (!controllers)
            throw new Error('Controllers must be provided');
        for (let controller of controllers) {
            this.controllers.push(controller);
        }
    }
}
exports.ControllerManagerFactory = ControllerManagerFactory;
