"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MiddlewareFactory = void 0;
const express_1 = __importDefault(require("express"));
const Middlewares_1 = require("../models/Middlewares");
class MiddlewareFactory {
    constructor() {
        this.middlewares = [];
        this.registryMiddleware = (middleware) => {
            if (!(typeof middleware === 'function'))
                throw new Error('Middlewares function must be provided');
            this.middlewares.push(middleware);
        };
        this.registryMiddlewares = (middlewares) => {
            for (let middleware of middlewares) {
                if (!(typeof middleware === 'function'))
                    throw new Error('Middlewares function must be provided');
                this.middlewares.push(middleware);
            }
        };
        this.newMiddleware = () => {
            if (!(this.middlewares.length > 0) || this.server)
                throw new Error('Middlewares or server must be provided');
            return new Middlewares_1.Middlewares(this.middlewares);
        };
    }
    setServer(server) {
        if (!(this.server instanceof express_1.default.application))
            throw new Error('Server has been provided');
        this.server = server;
    }
}
exports.MiddlewareFactory = MiddlewareFactory;
