"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Middlewares = void 0;
class Middlewares {
    constructor(middlewares) {
        this.getMiddlewares = () => {
            return this.middlewares;
        };
        this.getMiddleware = (middleware) => {
            return this.middlewares[middleware];
        };
        this.initializeMiddlewares = (server) => {
            if (this.middlewares.length <= 0)
                throw new Error('Middlewares must be provided');
            for (let middleware of this.middlewares) {
                server.use(middleware);
            }
        };
        this.middlewares = middlewares;
    }
}
exports.Middlewares = Middlewares;
